summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey A. Chernov <ache@FreeBSD.org>1994-10-28 03:22:29 +0000
committerAndrey A. Chernov <ache@FreeBSD.org>1994-10-28 03:22:29 +0000
commitb140921eef400a98461d6789cb44326b0656fa0d (patch)
tree483b9631c348e3d6c2c1cd4d26844d96c38dbb3a
parent78e71dffd1eb63a406f1b9f9293762d7210b0372 (diff)
downloadsrc-test2-b140921eef400a98461d6789cb44326b0656fa0d.tar.gz
src-test2-b140921eef400a98461d6789cb44326b0656fa0d.zip
Notes
-rwxr-xr-xgnu/usr.bin/dialog/TESTS/prgbox12
1 files changed, 12 insertions, 0 deletions
diff --git a/gnu/usr.bin/dialog/TESTS/prgbox b/gnu/usr.bin/dialog/TESTS/prgbox
new file mode 100755
index 000000000000..708df5d65814
--- /dev/null
+++ b/gnu/usr.bin/dialog/TESTS/prgbox
@@ -0,0 +1,12 @@
+#!/bin/sh
+DIALOG=${DIALOG=/usr/bin/dialog}
+
+$DIALOG --title "PROGRAM BOX: 'cal'" --clear \
+ --prgbox "cal" 13 27
+
+case $? in
+ 0)
+ echo "OK";;
+ 255)
+ echo "ESC pressed.";;
+esac